<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XAccessControlGroupName StructType
 * @subpackage Structs
 */
class XAccessControlGroupName extends AbstractStructBase
{
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var XFkType
     */
    public $name;
    /**
     * Constructor method for XAccessControlGroupName
     * @uses XAccessControlGroupName::setName()
     * @param XFkType $name
     */
    public function __construct(XFkType $name = null)
    {
        $this
            ->setName($name);
    }
    /**
     * Get name value
     * @return XFkType|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param XFkType $name
     * @return XAccessControlGroupName
     */
    public function setName(XFkType $name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XAccessControlGroupName
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
